Installation FAQ


#1

Python version 2.7+ MUST be installed prior to installing SiCKRAGE, download links located at:

The following install instructions below MUST be executed from a command or console prompt depending on the operating system that you are choosing to install from.

Install instructions for PIP (RECOMMENDED) -
STABLE:

pip install -U sickrage
sickrage

DEV:

pip install -U --no-cache-dir --pre sickrage
sickrage

Install instructions for GIT -
STABLE:

git clone http://git.sickrage.ca/sickrage/sickrage.git
pip install -r sickrage/requirements.txt
python sickrage/SiCKRAGE.py

DEV:

git clone -b develop http://git.sickrage.ca/sickrage/sickrage.git
pip install -r sickrage/requirements.txt
python sickrage/SiCKRAGE.py

#2